%Master script for valuation of the oil field

%Global variables

fx= 7.5;
oilP0 = 100 * fx;
vol = 0.3012;
r = 0.0188;
lifetime= 14;
divYield= r;
nSteps= 1500;
researchLag = 1 ; 
developT = 2;
expirationT=5;
Abex = 600;
researchCost= 20*fx;
wellCapacity= 8000;
wellCost = 75 * fx;

%------------------------------------------------------------------------------------------------------------------------
%Data input
excelFileName= 'RO-Model-without-sensitivity(WithVBAoneLoop).xlsm';
%runOptimization()

%probDistribution: distribution of cases for each scenario
%resultDistribution: Distribution of appraisal results
[probDistribution,resultDistribution]=getProbDistribution(excelFileName); %gets input from excel


%7 profiles.
%get the whole 28x14 matrix and work with that
profilesRange = 'E2:R29';
 productionProfiles = getProductionProfiles(excelFileName,profilesRange);
 
 developCost = getCapex(excelFileName,fx,wellCost); %Get from excel
 %------------------------------------------------------------------------------------------------------------------------%

%scenario = nan(nCases,lifetime,4);
scenario(:,:,1)=productionProfiles(1:7,:);
scenario(:,:,2)=productionProfiles(8:14,:);
scenario(:,:,3)=productionProfiles(15:21,:);
scenario(:,:,4)=productionProfiles(22:28,:);

%Make this a function with productionprofiles as input
%get capex must be a part of this function

optionValues = optionModel (scenario, oilP0, vol, r, lifetime, divYield, nSteps, developT,researchLag,developCost, Abex ...
                                        , probDistribution, resultDistribution,researchCost,expirationT)

